Jump to content

How to extrude in both directions in autocad


nbaryosef

Recommended Posts

not sure I understand your sweep comment. I don't but the object to be swept on the path at all nevermind the mid point. It will always sweep the length regardless. (right?) :unsure:

Link to comment
Share on other sites

not sure I understand your sweep comment. I don't but the object to be swept on the path at all nevermind the mid point. It will always sweep the length regardless. (right?) :unsure:

 

You are correct it, it will. OP said he wanted to extrude both directions at once, so if you actually move the shape to be swept to the midpoint of the path and watch closely (or have a slow computer) you can see it go both directions at once.

Link to comment
Share on other sites

How to extrude in both directions in autocad, to keep object symmetrical

 

You must be thinking of modern 3D CAD programs like Inventor or SolidWorks (or even older CAD programs like Pro/E).

In AutoCAD you will need to Sweep as suggested. Or solidedit (or presspull) to do in two steps.

Link to comment
Share on other sites

I really don't understand why this would be necessary anyway. Any single extrude operation is symmetrical anyway. It can't be anything else.

Link to comment
Share on other sites

I really don't understand why this would be necessary anyway. Any single extrude operation is symmetrical anyway. It can't be anything else.

 

No - AutoCAD extrudes in one direction either + or - from profile.

Modern CAD programs allow midplane extrusions which are very useful.

 

I teach Inventor, SolidWork and Pro/E (Creo) using the BORN Technique (Base Orphan Reference Node) where as much as possible everything comes from the origin workplanes (xy, xz, yz) for the robust models that are easy to edit and less likely to fail on edit.

 

Here are a bunch of 2D profiles on the xy plane. Nearly the entire part can be made from these with no change in "UCS" (I put in quotes as UCS as understood by AutoCAD users is seldom used in modern CAD programs).

 

Notice that I didn't even bother to trim some of the 2D. All of this is fully paramtric - the model is driven by dimensions, not the other way around. Edits are trivial.

 

These features (3 symmetrical extrudes, 1 symmetrical extrude-cut, one extrude and two revolves) all from profiles on the same plane

Symmetric.png

moving along.png

forget ucs.png

Edited by JD Mather
Link to comment
Share on other sites

Modern CAD programs also allow an Asymetric Extrude.

All of this additional functionality quickly pays for the additional cost of the software in time savings in creation and editing of designs.

Asymmetric.png

Link to comment
Share on other sites

Ok, so if you need to extrude it 50 units one way and 50 units the other, you extrude it 100 units and move it over 50. How hard is that?

 

If you need 40 one way and 35 the other, extrude 75 and move it over. Not difficult. Its still symmetrical regardless. There is a half way point no matter which way you do it.

Link to comment
Share on other sites

... and move it over. Not difficult. ...

 

In my experience every extra step introduces a chance of error. And with AutoCAD - no history to see where the user went wrong.

90% of what I see is garbage where users eyeballed the move or something similar. With modern CAD programs not only are there fewer steps that reduce the likelyhood of unintended errors, but also there is a complete history to examine and determine everything was done correctly. A record of truth. Kind of like a school math problem where one student shows his work while the other doesn't. The person who doesn't show work doesn't think it is necessary and thinks it is faster to take shortcuts.

Link to comment
Share on other sites

In my experience every extra step introduces a chance of error. And with AutoCAD - no history to see where the user went wrong.

90% of what I see is garbage where users eyeballed the move or something similar. With modern CAD programs not only are there fewer steps that reduce the likelyhood of unintended errors, but also there is a complete history to examine and determine everything was done correctly. A record of truth. Kind of like a school math problem where one student shows his work while the other doesn't. The person who doesn't show work doesn't think it is necessary and thinks it is faster to take shortcuts.

 

I run into the "garbage" as you called it all the time. Fortunately, I know how to use the keyboard to enter the direction and distance to move things accurately. I've seen a lot of folks that don't, though.

 

As to the number of steps...2 extrudes or 1 extrude and 1 move...not a big difference to me, but I've been doing it a very long time. Having started my adult life as a machinist, I have a good appreciation for precision.

 

Don't get me wrong, Inventor is a far superior product, but AutoCAD is still quite capable in the right hands. The very old acronym still appies in either program...GIGO!

Link to comment
Share on other sites

  • 11 years later...

If you or anyone else is looking for a solution to extrude from a mid plane I wrote this lisp program to enable you to do so. 

 

Note that EXTRUDEBOTHSIDES was built in the process of building SUBTRACT2D which is also attached if you're interested.

 

(defun c:EXTRUDEBOTHSIDES ( / )


(command "EXTRUDE" pause "" (setq extlength (atof (getstring T "\nEnter extrusion length"))))
(setq newpoint (list 0 0 (/ extlength -2)))
(princ newpoint)(terpri)
(command "MOVE" (ssget "_L") "" "" newpoint)


 )

 

(defun c:SUBTRACT2D ( / subtractfrom subtraction i ent extlength newpoint)
(command "._UNDO" "_Begin")
(princ "Select solids, surfaces, and regions to subtract from ..")(terpri)
(setq subtractfrom (ssget))
(princ "Select 2D Geometry to subtract ..")(terpri)
(setq subtraction (ssget))

(setq i 0)
    (while (setq ent (ssname subtraction i))
		(command "EXTRUDE" ent "" (setq extlength 1000))
		(setq newpoint (list 0 0 (/ extlength -2)))
		(command "MOVE" (ssget "_L") "" "" newpoint)
		(command "SUBTRACT" subtractfrom "" (ssget "_L") "")
		(setq i (1+ i))
    )
	(command "._UNDO" "_End")
 )


 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...